| 0.9.9 API documenation

Functions
GLM_GTX_fast_trigonometry
Experimental extensions

## Functions
template<typename T >
GLM_FUNC_DECL T | fastAcos (T angle)
template<typename T >
GLM_FUNC_DECL T | fastAsin (T angle)
template<typename T >
GLM_FUNC_DECL T | fastAtan (T y, T x)
template<typename T >
GLM_FUNC_DECL T | fastAtan (T angle)
template<typename T >
GLM_FUNC_DECL T | fastCos (T angle)
template<typename T >
GLM_FUNC_DECL T | fastSin (T angle)
template<typename T >
GLM_FUNC_DECL T | fastTan (T angle)
template<typename T >
GLM_FUNC_DECL T | wrapAngle (T angle)

## Detailed Description

Include <glm/gtx/fast_trigonometry.hpp> to use the features of this extension.

Fast but less accurate implementations of trigonometric functions.

## Function Documentation

## ◆ fastAcos()

GLM_FUNC_DECL T glm::fastAcos | ( | T | angle | ) |

Faster than the common acos function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

## ◆ fastAsin()

GLM_FUNC_DECL T glm::fastAsin | ( | T | angle | ) |

Faster than the common asin function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

## ◆ fastAtan() [1/2]

GLM_FUNC_DECL T glm::fastAtan | ( | T | y,
|  | T | x
| ) |  |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

## ◆ fastAtan() [2/2]

GLM_FUNC_DECL T glm::fastAtan | ( | T | angle | ) |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

## ◆ fastCos()

GLM_FUNC_DECL T glm::fastCos | ( | T | angle | ) |

Faster than the common cos function but less accurate.

From GLM_GTX_fast_trigonometry extension.

## ◆ fastSin()

GLM_FUNC_DECL T glm::fastSin | ( | T | angle | ) |

Faster than the common sin function but less accurate.

From GLM_GTX_fast_trigonometry extension.

## ◆ fastTan()

GLM_FUNC_DECL T glm::fastTan | ( | T | angle | ) |

Faster than the common tan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

## ◆ wrapAngle()

GLM_FUNC_DECL T glm::wrapAngle | ( | T | angle | ) |

Wrap an angle to [0 2pi[ From GLM_GTX_fast_trigonometry extension.